umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::Region Namespace Reference

## Enumerations
enum | Enum { Error = 0 , West , North , East , South , NorthWest , NorthEast , SouthEast , SouthWest , Center }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

Enumeration used for stating where a line is on a widget.

Note
  Do not change this ordering, as we use these values in for loop.
  See also associationwidget.h.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::Region::Enum

Enumerator
Error |
West |
North |
East |
South |
NorthWest |
NorthEast |
SouthEast |
SouthWest |
Center |

## Function Documentation

## ◆ fromInt()

Enum Uml::Region::fromInt | ( | int | item | ) |

Convert an integer item into Region representation.

Parameters

  item | integer value to convert

Returns
  Region enum

## ◆ fromString()

Enum Uml::Region::fromString | ( | const QString & | item | ) |

Return Region corresponding to the given string.

## ◆ toString()

QString Uml::Region::toString | ( | Enum | item | ) |

Return string corresponding to the given Region.